# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'degree_converter/version'

Gem::Specification.new do |spec|
  spec.name          = "degree_converter"
  spec.version       = DegreeConverter::VERSION
  spec.authors       = ["Mixman"]
  spec.email         = ["miklblitz@yandex.ru"]

  spec.summary       = %q{Degree converter. Usable degrees: Celsius, Fahrenheit, Rankine, Reaumur }
  spec.description   = %q{Gem for convert degrees between itself, converter uses external wsdl service http://www.webservicex.net/ConvertTemperature.asmx?wsdl .}
  spec.homepage      = "http://rubygems.org/gems/miklblitz"
  spec.license       = 'MIT'
  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = "https://rubygems.org"
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  # зависимости для выполнения тестов
  spec.add_development_dependency "rake", "~> 12.0", ">= 12.0"
  spec.add_development_dependency "rspec", "~> 3.5.0", ">= 3.5.0"
  spec.add_runtime_dependency 'savon', '~> 2.11.0', '>= 2.11.0'
end
